{%  if currentUser.loggedIn == true %}
    {% set extendTwig = '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
{% else %}
    {% set extendTwig = '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}
{% endif %}
{% extends extendTwig %}
{% import "@DemosPlanCore/macros.html.twig" as macros %}

{% set procedureSettings = templateVars.procedureSettings %}
{% set projectMapSettings = map %}
{% set hasBplan = false %}
{% set hasTerritory = false %}
{% set isMapEnabled = (proceduresettings.isMapEnabled == true and hasPermission('area_map_participation_area')) %}

{# Das Javascript wird erst später gerendert, deshalb muss die Logik, ob ein BPlan & Geltungsbereich vorhanden ist, hier explizit nochmal hin #}
{% if templateVars.overlays.gislayerlist is defined %}
    {% for layer in templateVars.overlays.gislayerlist|filter(layer => '//' in layer.url) %}
        {% if layer.bplan is defined and layer.bplan == true %}
            {% set hasBplan = true %}
        {% endif %}
        {% if layer.scope is defined and layer.scope == true %}
            {% set hasTerritory = true %}
        {% endif %}
    {% endfor %}
{% endif %}

{# Selbiges gilt für den Geltungsbereich #}
{#
 territory is now saved as geojson, so an empty territory is
 {"type":"FeatureCollection","features":[]} == 42 chars
#}
{% if procedureSettings.territory|default|length > 42 %}
    {% set hasTerritory = true %}
{% endif %}

{# counties for coutyReference dropdown in statement form #}
{% set counties = [{value: '', label: '---'}] %}
{% for county in templateVars.counties|default([]) %}
    {%  set counties = counties|merge([{value: county.id, selected: county.id == templateVars.draftStatement.statementAttributes.county|default(), label: county.name }]) %}
{% endfor %}

{# The grouped statementFieldDefinitions derived from the procedureType are mapped to the steps of the statement form:
    - Statement form incl. documents and location (statementFields)
    - Personal data (personalDataFields and feedbackFields) #}
{%  set statementFields = [] %}
{%  set personalDataFields = [] %}
{%  set feedbackFields = [] %}
{% for field in templateVars.statementFieldDefinitions|default([])|filter(field => field.enabled|default(false)) %}
    {% set formField = {name: field.name|default, required: field.required|default(false)} %}
    {% if field.name == 'countyReference' or field.name == 'mapAndCountyReference' %}
        {% set statementFields = statementFields|merge([formField]) %}
    {% elseif field.name == 'getEvaluationMailViaEmail' or field.name == 'getEvaluationMailViaSnailMailOrEmail' %}
        {% set feedbackFields = feedbackFields|merge([formField]) %}
    {% else %}
        {% set personalDataFields = personalDataFields|merge([formField]) %}
    {% endif %}
{%  endfor %}

{# add a jump marker which directly points to the statement modal form opening button #}
{% block a11y_jump_markers %}
    {% if hasPermission('feature_new_statement') %}
        {# make sure the id="statementModalButton" is only applied once in this view #}
        {% if isMapEnabled %}
            {% set jump_marker = 'map' %}
        {% else %}
            {% set jump_marker = 'documents' %}
        {% endif %}

        {{ parent() }}
        <li class="{{ 'list-style-none u-nojs-show--inline-block'|prefixClass }}">
            <a href="#statementModalTitle">{{ 'jumpTo.statement'|trans }}</a>
        </li>
        <li class="{{ 'list-style-none u-nojs-hide--inline-block'|prefixClass }}">
            <a href="#" data-focus-statement-modal="{# This attribute is used as a hook to append an EventListener in the script block of this file #}">{{ 'jumpTo.statement'|trans }}</a>
        </li>
    {% endif %}
{% endblock a11y_jump_markers %}

{% block component_part %}


    {# pageheader - display procedure title + nav link #}
    {% block pageheader %}
        {% include '@DemosPlanCore/DemosPlanCore/includes/pageheader.html.twig' with {
            link: path('core_home'),
            link_caption: 'back.to.procedure.list'|trans,
            cssClasses: '',
            prefixCssClasses: true,
            width_css: {
                col1: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'width-map-toolbar'|prefixClass,
                col2: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'width-map-canvas'|prefixClass
            },
            content_heading: getProcedureName(proceduresettings),
            aria_heading: 'procedure'|trans ~ ' ' ~ getProcedureName(proceduresettings),
            content_subheading: proceduresettings.locationName|default
        } %}
    {% endblock pageheader %}

    {% if isMapEnabled %}
        <dp-public-detail
            :is-map-enabled="{{ isMapEnabled ? 'true' : 'false' }}"
            user-id="{{ app.user.id|default }}"
            procedure-id="{{ procedure }}"
            inline-template>
    {% else %}
        <dp-public-detail-no-map
            user-id="{{ app.user.id|default }}"
            procedure-id="{{ procedure }}"
            inline-template>
    {% endif %}
    <div>

        {# infolist - display meta info of procedure #}
        {% block infolist %}
            <section class="{{ 'c-infolist o-page__padded bg-color--white'|prefixClass }}" role="region" aria-label="{{ 'wizard.topic.info'|trans }}">

                <div class="{{ 'border--bottom'|prefixClass }}"><!--
                    {# procedure phase #}
                    {% if hasPermission('field_procedure_phase') %}
                     --><div class="{{ 'c-infolist__item c-infolist__item--bordered layout__item u-1-of-3 u-1-of-1-lap-down relative'|prefixClass }}">
                            <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                                <i class="{{ 'fa fa-puzzle-piece u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>{{ 'procedure.public.phase'|trans }}
                            </h3>

                                {% if ownsProcedure(proceduresettings) %}
                                    {# Display procedure phase of institutions to enable planner user to quickly check correct settings #}
                                    {{ getProcedurePhase(proceduresettings, 'internal') }}
                                    {{- contextualHelp('help.public.detail.phase.'~ getProcedurePhaseKey(proceduresettings, 'internal'), ['o-tooltip--question-circle'|prefixClass, 'c-infolist__help u-ml-0_25'|prefixClass]) -}}
                                    {{ '\n'|nl2br }}
                                {% endif %}

                                {# Display a "legal notice" for institutions #}
                                {% if hasPermission('feature_procedure_legal_notice_read') and proceduresettings.settings.legalNotice|default != '' %}
                                    ({{ proceduresettings.settings.legalNotice }})
                                {% endif %}
                                {# Display public procedure phase without login or logged as citizen  #}
                                {{ getProcedurePhase(proceduresettings, 'public') }}
                                {{- contextualHelp('help.public.detail.phase.'~ getProcedurePhaseKey(proceduresettings, 'public'), ['o-tooltip--question-circle'|prefixClass, 'c-infolist__help u-ml-0_25'|prefixClass]) -}}
                        </div><!--
                    {% endif %}

                    {# period this procedure is running #}
                 --><div
                        class="{{ 'c-infolist__item c-infolist__item--bordered layout__item u-1-of-3 u-1-of-1-lap-down relative'|prefixClass }}"
                        aria-describedby="helpPublicDetailTimelimit"
                    >
                        <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                            <i class="{{ 'fa fa-calendar u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>{{ 'period'|trans }}
                        </h3>
                        <span id="helpPublicDetailTimelimit">
                            {% include '@DemosPlanCore/DemosPlanProcedure/includes/procedure_date.html.twig' with { 'procedure' : proceduresettings } %}
                            {{ contextualHelp('help.public.detail.timelimit', ['o-tooltip--question-circle', 'c-infolist__help u-ml-0_25']) }}
                        </span>
                    </div><!--

                    {# procedure categories #}
                    {% if hasPermission('feature_procedure_categories') %}
                     --><div
                            class="{{ 'c-infolist__item layout__item u-1-of-3 u-1-of-1-lap-down relative'|prefixClass }}">
                            <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                                <i class="{{ 'fa fa-tag u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>{{ 'categories'|trans }}
                            </h3>
                            <ul class="{{ 'o-list o-list--csv inline-block'|prefixClass }}">
                                {% for procedureCategory in templateVars.procedureCategories %}
                                    <li class="{{ 'o-list__item'|prefixClass }}">
                                        {{- procedureCategory.name -}}
                                    </li>
                                {% endfor %}
                            </ul>
                        </div><!--
                    {% endif %}

                    {# institution which administers procedure #}
                    {% if hasPermission('field_procedure_administration') %}
                     --><div
                            class="{{ 'c-infolist__item layout__item u-1-of-3 u-1-of-1-lap-down relative'|prefixClass }}"
                            aria-describedby="helpPublicDetailAdministration">
                            <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                                <i class="{{ 'fa fa-university u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>{{ 'administration.alt'|trans }}
                            </h3>
                            {{ proceduresettings.orgaName }}
                            <span id="helpPublicDetailAdministration">
                                {{ contextualHelp('help.public.detail.administration', ['o-tooltip--question-circle', 'c-infolist__help']) }}
                            </span>
                        </div>
                    {% endif %}
                </div><!--

                {# short info about procedure #}
                {% if hasPermission('field_procedure_description') %}
                 --><div class="{{ 'o-toggle o-toggle--not-animated layout__item u-1-of-3-lap-up u-1-of-1-palm u-pr-palm u-pr-0_5-lap-up'|prefixClass }}">
                        <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                            <i class="{{ 'fa fa-file-text-o u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>
                            {{- 'information.short'|trans -}}
                            <button
                                type="button"
                                class="{{ 'c-infolist__toggle o-toggle__trigger u-ml-0_25 js__toggleAnything'|prefixClass }}"
                                data-toggle="#metaDescription"
                                data-toggle-container=".c-infolist"
                                aria-controls="infolistContentMetaDescription"
                                aria-expanded="false"
                                aria-label="{{ 'information.short'|trans }}: {{ 'aria.toggle'|trans }}"
                            >
                                <i class="{{ 'o-toggle__icon'|prefixClass }}" aria-hidden="true"></i>
                            </button>
                        </h3>
                        <div
                            class="{{ 'c-infolist__content c-styled-html o-toggle__target break-words u-pb-0_5'|prefixClass }}"
                            data-toggle-id="metaDescription"
                            id="infolistContentMetaDescription">
                            {{ proceduresettings.externalDesc|wysiwyg }}
                        </div>
                    </div><!--
                {% endif %}

                {# links with related content #}
                {% if hasPermission('field_procedure_linkbox') and ( templateVars.linkbox is defined and templateVars.linkbox  != ''  ) %}
                 --><div class="{{ 'o-toggle o-toggle--not-animated layout__item u-1-of-3-lap-up u-1-of-1-palm u-pr-palm u-pr-0_5-lap-up'|prefixClass }}">
                        <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                            <i class="{{ 'fa fa-external-link u-mr-0_25'|prefixClass }}" aria-hidden="true"></i>
                            {{- 'links'|trans -}}
                            <button
                                type="button"
                                class="{{ 'c-infolist__toggle o-toggle__trigger u-ml-0_25 js__toggleAnything'|prefixClass }}"
                                data-toggle="#metaLinks"
                                data-toggle-container=".c-infolist"
                                aria-controls="infolistContentMetaLinks"
                                aria-expanded="false"
                                aria-label="{{ 'links'|trans }}: {{ 'aria.toggle'|trans }}"
                            >
                                <i class="{{ 'o-toggle__icon'|prefixClass }}" aria-hidden="true"></i>
                            </button>
                        </h3>
                        <div
                            class="{{ 'c-infolist__content c-styled-html o-toggle__target break-words u-pb-0_5'|prefixClass }}"
                            data-toggle-id="metaLinks"
                            id="infolistContentMetaLinks">
                            {{ templateVars.linkbox|wysiwyg }}
                        </div>
                    </div><!--
                {% endif %}

                {# contact #}
                {% if hasPermission('field_procedure_contact_person') %}
                 --><div class="{{ 'o-toggle o-toggle--not-animated layout__item u-1-of-3-lap-up u-1-of-1-palm u-pr-palm u-pr-0_5-lap-up'|prefixClass }}">
                        <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                            <i class="{{ 'fa fa-envelope-o u-mr-0_5'|prefixClass }}" aria-hidden="true"></i>
                            {{- 'public.participation.contact'|trans -}}
                            <button
                                type="button"
                                class="{{ 'c-infolist__toggle o-toggle__trigger u-ml-0_25 js__toggleAnything'|prefixClass }}"
                                data-toggle="#contactPerson"
                                data-toggle-container=".c-infolist"
                                aria-controls="infolistContentContactPerson"
                                aria-expanded="false"
                                aria-label="{{ 'public.participation.contact'|trans }}: {{ 'aria.toggle'|trans }}"
                            >
                                <i class="{{ 'o-toggle__icon'|prefixClass }}" aria-hidden="true"></i>
                            </button>
                        </h3>
                        <div
                            class="{{ 'c-infolist__content c-styled-html o-toggle__target break-words u-pb-0_5'|prefixClass }}"
                            data-toggle-id="contactPerson"
                            id="infolistContentContactPerson">
                            {{ proceduresettings.publicParticipationContact|default( 'contact.person.noname'|trans )|wysiwyg }}
                        </div>
                    </div><!--
                {% endif %}

                {# list with latest news published with the procedure #}
                {% if templateVars.newsList is defined and templateVars.newsList|default(0)|length > 0 and hasPermission("area_news") %}
                 --><div class="{{ 'o-toggle o-toggle--not-animated layout__item u-1-of-3-lap-up u-1-of-1-palm u-pr-palm u-pr-0_5-lap-up'|prefixClass }}">
                        <h3 class="{{ 'c-infolist__title uppercase font-size-medium u-mb-0 block'|prefixClass }}">
                            <i class="{{ 'fa fa-info u-mr-0_5'|prefixClass }}" aria-hidden="true"></i>
                            <span class="{{ 'show-desk-up-i'|prefixClass }}">{{ 'news.notes'|trans }}</span>
                            <span class="{{ 'hide-desk-up-i'|prefixClass }}" aria-hidden="true">{{ 'news'|trans }}</span>
                            <button
                                type="button"
                                class="{{ 'c-infolist__toggle o-toggle__trigger u-ml-0_25 js__toggleAnything'|prefixClass }}"
                                data-toggle="#news"
                                data-toggle-container=".c-infolist"
                                aria-controls="infolistContentNews"
                                aria-expanded="false"
                                aria-label="{{ 'news.notes'|trans }}: {{ 'aria.toggle'|trans }}"
                            >
                                <i class="{{ 'o-toggle__icon'|prefixClass }}" aria-hidden="true"></i>
                            </button>
                        </h3>
                        <div
                            class="{{ 'c-infolist__content o-toggle__target break-words u-pb-0_5'|prefixClass }}"
                            data-toggle-id="news"
                            id="infolistContentNews">
                            {% include '@DemosPlanCore/DemosPlanProcedure/includes/procedure_newslist.html.twig' %}
                        </div>
                    </div>
                {% endif %}

            </section>
        {% endblock infolist %}

            {# tabs - navigation #}
            {% block tabNav %}
                <nav
                    class="{{ 'o-page__padded c-tabs'|prefixClass }}"
                    aria-label="{{ 'tabs.navigate'|trans }}">
                    {% apply spaceless %}

                        <ul
                            class="{{ ('c-tabs__titles u-m-0 u-pt-0_5 text-right ' ~ ['c-tabs__titles--1', 'c-tabs__titles--2', 'c-tabs__titles--3']|filter((value, key) => key + 1 == tabCount|default(1))|first)|prefixClass }}"
                            role="tablist">

                            {# Map #}
                            {% if isMapEnabled %}
                                <li
                                    role="presentation"
                                    class="{{ 'c-tabs__title u-nojs-hide--inline-block'|prefixClass }}"
                                    :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsMap'}">
                                    <a
                                        class="{{ 'c-tabs__title-button'|prefixClass }}"
                                        href="#procedureDetailsMap"
                                        id="procedureDetailsMapTab"
                                        @click.prevent="toggleTabs('#procedureDetailsMap')"
                                        role="tab"
                                        aria-label="{{ 'map.interactive'|trans }}"
                                        :aria-selected="Boolean(activeTab === '#procedureDetailsMap')">
                                        <i class="{{ 'fa fa-lg fa-map u-mr-0_5-desk-up u-m-0_5-palm u-mr-0_25-lap'|prefixClass }}" aria-hidden="true"></i>
                                        <span class="{{ 'show-lap-up-i'|prefixClass }}">{{ 'map.interactive'|trans }}</span>
                                    </a>
                                </li>
                            {% endif %}

                            {# Plandocuments #}
                            {% if templateVars.planningDocuments %}
                                <li
                                    role="presentation"
                                    class="{{ 'c-tabs__title u-ml-0_5 '|prefixClass }}"
                                    :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsDocumentlist'}">
                                    <a
                                        class="{{ 'c-tabs__title-button'|prefixClass }}"
                                        href="#procedureDetailsDocumentlist"
                                        id="procedureDetailsDocumentlistTab"
                                        @click.prevent="toggleTabs('#procedureDetailsDocumentlist')"
                                        role="tab"
                                        aria-label="{{ 'elements'|trans }}"
                                        :aria-selected="Boolean(activeTab === '#procedureDetailsDocumentlist')">
                                        <i class="{{ 'fa fa-lg fa-file u-mr-0_5-desk-up u-m-0_5-palm u-mr-0_25-lap'|prefixClass }}" aria-hidden="true"></i>
                                        <span class="{{ 'show-lap-up-i'|prefixClass }}">{{ 'elements'|trans }}</span>
                                    </a>
                                </li>
                            {% endif %}

                            {# Statements #}
                            {% if hasPermission("area_statements_public_published_public") and templateVars.publicStatements.statements|length > 0 and templateVars.procedureSettings.procedure.publicParticipationPublicationEnabled %}
                                <li
                                    role="presentation"
                                    class="{{ 'c-tabs__title u-ml-0_5'|prefixClass }}"
                                    :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsStatementsPublic'}">
                                    <a
                                        class="{{ 'c-tabs__title-button'|prefixClass }}"
                                        href="#procedureDetailsStatementsPublic"
                                        id="procedureDetailsStatementsPublicTab"
                                        @click.prevent="toggleTabs('#procedureDetailsStatementsPublic')"
                                        role="tab"
                                        aria-label="{{ 'statements'|trans }}"
                                        :aria-selected="Boolean(activeTab === '#procedureDetailsStatementsPublic')">
                                        <i class="{{ 'fa fa-lg fa-comment u-mr-0_5-desk-up u-m-0_5-palm u-mr-0_25-lap'|prefixClass }}" aria-hidden="true"></i>
                                        <span class="{{ 'show-lap-up-i'|prefixClass }}">{{ 'statements'|trans }}</span>
                                    </a>
                                </li>
                            {% endif %}

                            {# Survey #}
                            {% if hasPermission('area_survey') and templateVars.survey|length > 0 and (templateVars.survey.status != 'configuration' or ownsProcedure(proceduresettings)) %}
                                <li
                                    role="presentation"
                                    class="{{ 'c-tabs__title u-nojs-hide--inline-block u-ml-0_5'|prefixClass }}"
                                    :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsSurvey'}">
                                    <a
                                        class="{{ 'c-tabs__title-button'|prefixClass }}"
                                        href="#procedureDetailsSurvey"
                                        id="procedureDetailsSurveyTab"
                                        @click.prevent="toggleTabs('#procedureDetailsSurvey')"
                                        role="tab"
                                        aria-label="{{ 'survey'|trans }}"
                                        :aria-selected="Boolean(activeTab === '#procedureDetailsSurvey')">
                                        <i class="{{ 'fa fa-lg fa-bar-chart u-mr-0_5-desk-up u-m-0_5-palm u-mr-0_25-lap'|prefixClass }}" aria-hidden="true"></i>
                                        <span class="{{ 'show-lap-up-i'|prefixClass }}">{{ 'survey'|trans }}</span>
                                    </a>
                                </li>
                            {% endif %}

                        </ul>
                    {% endapply %}
                </nav>
            {% endblock tabNav %}

            {# tabs - content #}
            <div class="{{ 'o-page__padded'|prefixClass }}">

                {# Map #}
                {% if isMapEnabled %}
                <section
                    class="{{ 'c-map c-tabs__panel u-nojs-hide--block flow-root bg-color--white'|prefixClass }}"
                    :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsMap'}"
                    id="procedureDetailsMap"
                    :hidden="Boolean(activeTab !== '#procedureDetailsMap')"
                    role="tabpanel"
                    @keydown="checkKeyEvent"
                    aria-labelledby="procedureDetailsMapTab">

                        {# openlayers map #}
                        {% include '@DemosPlanCore/DemosPlanMap/map_public_participation_detail.html.twig' %}

                    </section>
                {% endif %}

                {# Plandocuments #}
                {% block planningDocuments %}
                    <section
                        class="{{ 'c-tabs__panel layout--flush'|prefixClass }}"
                        :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsDocumentlist'}"
                        id="procedureDetailsDocumentlist"
                        :hidden="Boolean(activeTab !== '#procedureDetailsDocumentlist')"
                        role="tabpanel"
                        aria-labelledby="procedureDetailsDocumentlistTab">

                        {% if (templateVars.planningDocuments is defined and templateVars.planningDocuments == true) %}

                            <div class="{{ 'layout__item width-map-toolbar u-pr-0_5-lap-up'|prefixClass }}">

                                {% include '@DemosPlanCore/DemosPlanDocument/includes/actionbox.html.twig' with {
                                    css_classes: '',
                                    context: 'documents',
                                    jump_marker: jump_marker|default
                                } %}

                            </div><!--

                         --><div class="{{ 'layout__item width-map-canvas u-pl-0_5-lap-up u-pr-0_5-lap-up'|prefixClass }}">

                                {#{ contextualHelp('help.public.detail.planningdocuments') }#}

                                {# renders public_elements_list.html.twig #}
                                {{ render(controller('demosplan\\DemosPlanCoreBundle\\Controller\\Document\\DemosPlanDocumentController::publicDocumentListAction', {'procedure': procedure, 'title': title, 'draftStatementId': templateVars.draftStatement.id|default})) }}
                            </div>

                        {% endif %}

                    </section>
                {% endblock planningDocuments %}

                {# Statements #}
                {% if hasPermission("area_statements_public_published_public") and templateVars.publicStatements.statements|length > 0 and templateVars.procedureSettings.procedure.publicParticipationPublicationEnabled %}
                    <section
                        class="{{ 'c-tabs__panel layout--flush'|prefixClass }}"
                        :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsStatementsPublic'}"
                        id="procedureDetailsStatementsPublic"
                        :hidden="Boolean(activeTab !== '#procedureDetailsStatementsPublic')"
                        role="tabpanel"
                        aria-labelledby="procedureDetailsStatementsPublicTab">

                        <div class="{{ 'layout__item width-map-toolbar u-pr-0_5-lap-up'|prefixClass }}">

                            {% include '@DemosPlanCore/DemosPlanDocument/includes/actionbox.html.twig' with {
                                css_classes: '',
                                context: 'statements',
                                jump_marker: jump_marker|default
                            } %}

                        </div><!--

                     --><div class="{{ 'layout__item width-map-canvas u-pl-0_5-lap-up u-pr-0_5-lap-up'|prefixClass }}">
                            {# top pager #}
                            {% if templateVars.publicStatements.pager is defined %}
                                <form class="{{ 'u-mb-0_5'|prefixClass }}" action="{{ path('DemosPlan_procedure_public_detail', {'procedure':procedure}) }}#procedureDetailsStatementsPublic" method="get">
                                    {{ macros.pager( templateVars.publicStatements|default(), false, ' ', true, 'procedureDetailsStatementsPublic' ) }}
                                </form>
                            {% endif %}
                            {# loop published statements #}
                            {% for statement in templateVars.publicStatements.statements %}
                                {% include '@DemosPlanCore/DemosPlanProcedure/includes/public_statement.html.twig' %}
                            {% endfor %}
                            {# bottom pager #}
                            {% if templateVars.publicStatements.pager is defined %}
                                <form class="{{ 'u-mb-0_5'|prefixClass }}" action="{{ path('DemosPlan_procedure_public_detail', {'procedure':procedure}) }}#procedureDetailsStatementsPublic" method="get">
                                    {{ macros.pager( templateVars.publicStatements|default(), false, ' ', true, 'procedureDetailsStatementsPublic' ) }}
                                </form>
                            {% endif %}
                        </div>

                    </section>
                {% endif %}

                {# Survey #}
                {% if hasPermission('area_survey') and templateVars.survey|length > 0 and (templateVars.survey.status != 'configuration' or ownsProcedure(proceduresettings)) %}
                    <section
                        class="{{ 'c-tabs__panel u-nojs-hide--block layout--flush'|prefixClass }}"
                        :class="{ '{{ 'is-active-tab'|prefixClass }}' : activeTab === '#procedureDetailsSurvey'}"
                        id="procedureDetailsSurvey"
                        :hidden="Boolean(activeTab !== '#procedureDetailsSurvey')"
                        role="tabpanel"
                        aria-labelledby="procedureDetailsSurveyTab">
                        <div class="{{ 'layout__item width-map-toolbar u-pr-0_5-lap-up'|prefixClass }}">

                            {# actionbox #}
                            <div class="{{ 'c-actionbox c-actionbox--bare u-p-0_5 is-visible-actionbox-toggle'|prefixClass }}">
                                <p class="{{ 'c-actionbox__hint'|prefixClass }}">
                                    {%  if templateVars.survey.status == 'evaluation' %}
                                        {{ 'survey.explanation.evaluation'|trans }}
                                    {% elseif templateVars.survey.status == 'completed' %}
                                        {{ 'survey.explanation.finished'|trans }}
                                    {% elseif app.user.loggedIn == true and hasPermission('feature_surveyvote_may_vote') %}
                                        {% if templateVars.survey.userCanVote == true %}
                                            {{ 'survey.explanation.loggedin'|trans }}
                                        {% else %}
                                            {{ 'survey.explanation.loggedin.participated'|trans }}
                                        {% endif %}
                                    {% else %}
                                        {{ 'survey.explanation.general'|trans }}
                                    {% endif %}
                                </p>
                            </div>

                            {% if templateVars.survey.status == 'participation' %}
                                <div class="{{ 'u-pv u-pl-0_5 u-pr-0_5'|prefixClass }}">
                                    <strong>
                                        {{ 'survey.period'|trans({ start: templateVars.survey.startDate.date|date("U")|dplanDate, end: templateVars.survey.endDate.date|date("U")|dplanDate }) }}
                                    </strong>
                                </div>
                            {% endif %}

                        </div><!--

                     --><div class="{{ 'layout__item width-map-canvas u-pl-0_5-lap-up u-pr-0_5-lap-up'|prefixClass }}">
                            <dp-public-survey
                                use-css-prefix
                                :is-logged-in="Boolean({{ app.user.loggedIn }})"
                                user-id="{{ app.user.id }}"
                                :survey="JSON.parse('{{ templateVars.survey|default([])|json_encode|e('js', 'utf-8') }}')">
                            </dp-public-survey>
                        </div>
                    </section>
                {% endif %}

                {% if hasPermission('feature_new_statement') %}
                    <statement-modal
                        extra-personal-hint="{% block extra_personal_hint %}{% endblock %}"
                        ext-id="{{ templateVars.number|default }}"
                        ref="statementModal"
                        :logged-in="Boolean({{ currentUser.loggedIn }})"
                        :is-map-enabled="Boolean({{ proceduresettings.isMapEnabled }})"
                        procedure-id="{{ procedure }}"
                        project-name="{{ projectName }}"
                        :statement-form-fields="JSON.parse('{{ statementFields|json_encode|e('js', 'utf-8') }}')"
                        :personal-data-form-fields="JSON.parse('{{ personalDataFields|json_encode|e('js', 'utf-8') }}')"
                        :feedback-form-fields="JSON.parse('{{ feedbackFields|json_encode|e('js', 'utf-8') }}')"
                        statement-form-hint-personal-data="{{ templateVars.procedureUiDefinition.statementFormHintPersonalData|default }}"
                        statement-form-hint-recheck="{{ templateVars.procedureUiDefinition.statementFormHintRecheck|default }}"
                        statement-form-hint-statement="{{ templateVars.procedureUiDefinition.statementFormHintStatement|default }}"
                        :public-participation-publication-enabled="Boolean({{ proceduresettings.publicParticipationPublicationEnabled }})"
                        :init-has-planning-documents="Boolean({{ templateVars.planningDocuments|default(false) }})"
                        :planning-documents-has-negative-statement="Boolean({{ templateVars.planningDocumentsHasNegativeStatement|default(false) }})"
                        :counties="JSON.parse('{{ counties|json_encode|e('js', 'utf-8') }}')"
                        orga-id="{{ branding.orgaId|default }}"
                        :form-options="JSON.parse('{{ templateVars.formOptions|default({})|json_encode|e('js', 'utf-8') }}')"
                        :draft-statement="JSON.parse('{{ templateVars.draftStatement|default([])|json_encode|e('js', 'utf-8') }}')"
                        @toggle-tabs="toggleTabs"
                    ></statement-modal>
                {% endif %}
            </div>
        </div>
    {% if isMapEnabled == false %}
        </dp-public-detail-no-map>
    {% else %}
        </dp-public-detail>
    {% endif %}


    {# Nojs statement form #}
    {% if hasPermission('feature_new_statement') %}
        <div class="c-statement u-nojs-show--block">
            {% if templateVars.isSubmitted == false %}
                {% set formAction =  path('DemosPlan_procedure_public_detail', {'procedure': procedure}) %}
                {% set hiddenAction =  'statementpublicnew' %}
                {% if templateVars.draftStatement|default %}
                    {% set formAction = path('DemosPlan_statement_edit', {'procedure': procedure, 'statementID': templateVars.draftStatement.id}) %}
                    {% set hiddenAction = 'statementedit' %}
                    {% set displayEditSubmit = true %}
                {% endif %}
                {% include '@DemosPlanCore/DemosPlanProcedure/public_detail_form.html.twig' %}
            {% else %}
                {# no-js output when form is submitted #}
                {% include '@DemosPlanCore/DemosPlanProcedure/public_detail_form_confirmation.html.twig' %}
            {% endif %}
        </div>
    {% endif %}

{% endblock component_part %}


{% block javascripts %}
    {{ parent() }}
    {% if isMapEnabled %}
        {{ webpackBundles(['ol.js', 'map-publicDetail.js']) }}
    {% endif %}

    {% if not isMapEnabled %}
        {{ webpackBundle('core-publicDetail.js') }}
    {% endif %}

    <script nonce="{{ csp_nonce('script') }}">
        if (document.querySelector('[data-focus-statement-modal]')) {
            document.querySelector('[data-focus-statement-modal]').addEventListener('click', function () {
                if (document.getElementById('statementModalButton')) {
                    document.getElementById('statementModalButton').focus()
                }
            })
        }
    </script>
{% endblock javascripts %}
